libmemcached (1.1.4-1+ubuntu20.04.1+deb.sury.org+2) focal; urgency=medium

  * No-change backport to focal.

 -- Ondřej Surý <ondrej@debian.org>  Tue, 06 Feb 2024 10:39:06 +0100

libmemcached (1.1.4-1) unstable; urgency=high

  * New upstream version 1.1.4

 -- Ondřej Surý <ondrej@debian.org>  Mon, 06 Mar 2023 19:38:02 +0100

libmemcached (1.1.3-3) unstable; urgency=medium

  * Prevent libmemcachedutil underlinking by removing the conditional
    around target_link_libraries (Closes: #1031450)

 -- Ondřej Surý <ondrej@debian.org>  Thu, 23 Feb 2023 01:50:44 +0100

libmemcached (1.1.3-2) unstable; urgency=medium

  * Add Breaks + Replaces: libhashkit2 (<< 1.1.3-1~) to libhashkit-dev
    (Closes: #1030824)

 -- Ondřej Surý <ondrej@debian.org>  Tue, 07 Feb 2023 20:58:11 +0100

libmemcached (1.1.3-1) unstable; urgency=medium

  * Add stricter cmake >= 3.12.0 dependency

 -- Ondřej Surý <ondrej@debian.org>  Tue, 07 Feb 2023 11:57:02 +0100

libmemcached (1.1.3-1~exp1) experimental; urgency=medium

  * New upstream version 1.1.3
  * Update the install files
  * Update the packaging for new cmake build system
  * Add cmake to B-D
  * Remove obsolete upstream patches

 -- Ondřej Surý <ondrej@debian.org>  Sun, 05 Feb 2023 11:27:37 +0100

libmemcached (1.0.18+-1) unstable; urgency=medium

  * Use official upstream tarball for libmemcached 1.0.18
  * Do dbgsym transition
  * Move the dh_missing and dh_strip options to the top generic rule
  * Install usr/share/aclocal/ax_libmemcached.m4, ignore all .la files
  * Bump the d/compat to 13
  * Change the VCS to salsa.d.o
  * Add d/gbp.conf for main branch
  * Update Michael's email address, to @d.o address
  * Make myself a maintainer with Michael's blessing, keep Michael
    as co-maintainer

 -- Ondřej Surý <ondrej@debian.org>  Mon, 24 Oct 2022 15:54:57 +0200

libmemcached (1.0.18-4.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix build with GCC 7. Closes: #853497.
  * Mark -dev packages as M-A: same.

 -- Matthias Klose <doko@debian.org>  Wed, 11 Oct 2017 09:19:11 +0200

libmemcached (1.0.18-4.1) unstable; urgency=medium

  * Non maintainer upload.
  * Remove build dependency on libcloog-ppl-dev. Closes: #807172.
  * Fix parallel build. Closes: #714084.
  * Don't try to build docs and manual pages. Closes: #807171.

 -- Matthias Klose <doko@debian.org>  Mon, 07 Dec 2015 21:37:57 +0100

libmemcached (1.0.18-4) unstable; urgency=medium

  * Add move-ax_confix_aux_dir.patch to move AC_CONFIG_AUX_DIR up a few lines
    so autofoo can find it (Closes: #768688).
  * Bump Standards-Version to 3.9.6.
  * Update Vcs-Browser field.
  * Move main license entry to top in d/copyright.

 -- Michael Fladischer <FladischerMichael@fladi.at>  Wed, 12 Nov 2014 07:49:47 +0100

libmemcached (1.0.18-3) unstable; urgency=low

  * Upload to unstable.

 -- Michael Fladischer <FladischerMichael@fladi.at>  Wed, 19 Mar 2014 08:45:30 +0100

libmemcached (1.0.18-2) experimental; urgency=low

  * Include c++11.patch to prevent relying on C++11 features in
    reverse-dependencies (Closes: #740940,#740941,#740935).

 -- Michael Fladischer <FladischerMichael@fladi.at>  Mon, 17 Mar 2014 14:55:32 +0100

libmemcached (1.0.18-1) experimental; urgency=medium

  * Imported Upstream version 1.0.18 (Closes: #724729,#688089).
  * Move git packaging repository to alioth.
    Update Vcs-* fields accordingly.
  * Bump Standards-Version to 3.9.5.
  * Check PGP detached signature for source tarball.
    + Add upstream signing key DA248813 in d/upstream-signing-key.pgp.
    + Add pgpsigurlmangle option to d/watch.
  * Fix typos in long description, thanks to
    Pascal De Vuyst (Closes: #732764).
  * Update years in d/copyright.
  * Make Build-Depends on automake unversioned.
  * Make license short names in d/copyright conformant to machine readable
    format 1.0:
     + BSD-TangentOrg to BSD-3-clause-TangentOrg
     + "Paul Hsieh derivative license" to Paul-Hsieh
     + "RSA Data Security License" to RSA-Data-Security
     + "Bob Jenkins License" to Bob-Jenkins
     + BSD-Sun to BSD-3-clause-Sun
     + BSD to BSD-3-clause
  * Add lintian overrides for missing symbol files.
  * Include debian/upstream-signing-key.pgp in the allowed binary files.
  * Remove patches included in upstream:
     + autoconf_ax_memcached
     + gcc-4.8.patch
  * Unfuzz patches:
     + fix_spelling.patch
     + hurd.patch

 -- Michael Fladischer <FladischerMichael@fladi.at>  Fri, 28 Feb 2014 09:57:26 +0100

libmemcached (1.0.17-2) experimental; urgency=low

  * Add hurd.patch to fix build failures on GNU/Hurd, thanks to Pino Toscano
    (Closes: #644657).

 -- Michael Fladischer <FladischerMichael@fladi.at>  Mon, 17 Jun 2013 08:43:46 +0200

libmemcached (1.0.17-1) experimental; urgency=low

  [ Faidon Liambotis ]
  * New upstream release.
    - Fixes FTBFS on multiple architectures.
  * Add patch autoconf_ax_memcached, fixing an upstream bug manifesting in the
    absence of a memcached binary during the execution of the test suite.
  * Add --with autoreconf to dh and build-depend on dh_autoreconf; necessary
    for the above autoconf patch to work.
  * Remove patch fix-for-gcc47.patch from source: not in series, applied
    upstream.

  [ Michael Fladischer ]
  * Bump Standards version to 3.9.4.
  * Add 'Multi-Arch: same' to -dbg package.
  * Add patch m4_pthread, which fixes the flags for pthreads.
  * Add patch gcc-4.8, fixing incompatible flags with gcc-4.8 (taken from
    upstream BTS).

 -- Michael Fladischer <FladischerMichael@fladi.at>  Wed, 12 Jun 2013 13:18:36 +0200

libmemcached (1.0.16-1) experimental; urgency=low

  * New upstream release.
  * Update spelling patch.
  * Remove conflicts on older versions of libmemcached and libhashkit
    (Closes:700091).
  * Update spelling patch.
  * Install libhashkit2 manpages manually.
  * Bump SONAME to 11 for libmemcached.
  * Manually install libmemcached manpages.
  * Update naming conflict resolution to cope with new manpages.
  * Drop libmemcachedprotocol package as it is broken and no longer maintained
    in upstream.
  * Manually install libmemcached-tools manpages.

 -- Michael Fladischer <FladischerMichael@fladi.at>  Wed, 13 Feb 2013 12:15:19 +0100

libmemcached (1.0.8-1) unstable; urgency=low

  * New upstream release.
  * Clean up files to allow two builds in a row.
  * Fix duplicate Copyright fields.
  * Switch to dh format 9:
     + Enable hardening.
     + Enable mutli-arch.

 -- Michael Fladischer <FladischerMichael@fladi.at>  Wed, 30 May 2012 14:16:50 +0200

libmemcached (1.0.6-1) unstable; urgency=low

  * New upstream release (Closes: #667620).
  * Remove gcc-4.7 patch as it has been integrated upstream.
  * Bump soname for both libmemcached and libhashkit.
  * Update copyright years.

 -- Michael Fladischer <FladischerMichael@fladi.at>  Wed, 11 Apr 2012 15:06:20 +0200

libmemcached (1.0.5-2) unstable; urgency=low

  * Add patch to fix gcc-4.7 FTBFS (Closes: #667248).

 -- Michael Fladischer <FladischerMichael@fladi.at>  Wed, 04 Apr 2012 14:31:18 +0200

libmemcached (1.0.5-1) unstable; urgency=low

  * New upstream release.
  * Allow HTTPS urls in d/watch.
  * Bump standards version to 3.9.3.
  * Remove all symbols files.
  * Update DEP5 url to 1.0.

 -- Michael Fladischer <FladischerMichael@fladi.at>  Sat, 24 Mar 2012 10:08:29 +0100

libmemcached (1.0.4-2) unstable; urgency=low

  * Disable tests on all architectures due to networking problems on the 
    autobuilders.
  * libhashkit-dev now Replaces/Breaks on libmemcached-dev (<< 1.0.3-1) to 
    avoid ownership conflicts on certain files (Closes: #659193).
  * Update Vcs-* fields to point to new git repository.

 -- Michael Fladischer <FladischerMichael@fladi.at>  Thu, 09 Feb 2012 07:53:00 +0100

libmemcached (1.0.4-1) unstable; urgency=low

  * New upstream release.
  * Add missing manpages.
  * libmemcached-dev depends on libsasl2-dev (Closes: #658768).
  * Drop B-D on libdrizzle-dev and libinnodb-dev as they are only used in a 
    single test or in example code.
  * Disable tests on armel, kfreebsd-amd64, kfreebsd-i386 and sparc because 
    of missing interfaces in the autobuilder.
  * Update libmemcached-tools.README.Debian to reflect tool renaming.

 -- Michael Fladischer <FladischerMichael@fladi.at>  Mon, 06 Feb 2012 08:35:51 +0100

libmemcached (1.0.3-1) unstable; urgency=low

  * New upstream release (Closes: #623010).
  * Bump Standards-Version to 3.9.2.
  * Add patch to fix spelling warning by lintian.
  * Add libcloog-ppl-dev to B-D to satisfy dependencies.
  * Increase SONAME versions on packages.
  * Split hashkit into separate packages.
  * Set priority from extra to optional (Closes: #643912).
  * Lower priority for libmemcached-dbg to extra.
  * Add libinnodb-dev to B-D.
  * Build with libsasl2 enabled.
  * Enable tests and remove override_dh_auto_configure.
  * Update homepage URLs.
  * Update feature list in description.
  * Rework d/copyright file to include up to date information.
  * Remove d/libmemcached9.symbols as C++ symbols are rather fragile.
  * Use launchpad URL in uscan watch file.
  * Set myself as maintainer.

 -- Michael Fladischer <FladischerMichael@fladi.at>  Wed, 18 Jan 2012 09:55:57 +0100

libmemcached (0.44-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Don't ship .la files (Closes: #621633).

 -- Luk Claes <luk@debian.org>  Wed, 22 Jun 2011 19:21:55 +0200

libmemcached (0.44-1) unstable; urgency=low

  * New upstream release.
  * Added build-dep on libevent to ensure that memslap gets
    built. (Closes: #589442)
  * library soname bump.
  * Cleaned rules file.
  * Don't install ChangeLog by hand - it should just get picked up.

 -- Monty Taylor <mordred@inaugust.com>  Thu, 04 Nov 2010 18:48:58 -0700

libmemcached (0.43-1) unstable; urgency=low

  * New upstream release. (Closes: #590117)
  * Removed fix-spelling patch.
  * libmemcachedutil0 is now libmemcachedutil1.
  * Verified that memcslap is in libmemcached-tools. (Closes: #589442)
  * Updated standards to 3.9.1.
  * Removed reference to old BSD license file.
  * Updated branch location information.

 -- Monty Taylor <mordred@inaugust.com>  Thu, 26 Aug 2010 22:55:57 -0700

libmemcached (0.40-1) unstable; urgency=low

  * New upstream release. (Closes: #579243)
  * Removed the patch for the murmur tests, applied upstream.
  * Disabled running of the test suite - it is completely flakey and
    unusable in a build farm environment. 
  * Removed by-hand run of dpkg-gensymbols... it seems to happen nicely
    automatically now. 

 -- Monty Taylor <mordred@inaugust.com>  Fri, 28 May 2010 10:42:08 -0700

libmemcached (0.39-1) unstable; urgency=low

  * Fixed the murmur test where it shows up again in the hashkit
    test (Closes: #570146)
  * New upstream release.

 -- Monty Taylor <mordred@inaugust.com>  Sun, 11 Apr 2010 10:46:43 -0700

libmemcached (0.38-1) unstable; urgency=low

  * New upstream release.
  * Switch to dpkg-source 3.0 (quilt) format
  * Skip the murmur test on hppa (Closes: #569194) 
  * Added spelling fix.

 -- Monty Taylor <mordred@inaugust.com>  Thu, 11 Feb 2010 13:32:09 -0800

libmemcached (0.37-2) unstable; urgency=low

  * Added conflicts relationship on the new libmemcachedprotocol0 and
    libmemcachedutil0 libraries with libmemcached3 so that upgrades
    work. (Closes: #566734)
  * Added build of and install of static libs. (Closes: #568087)
  * New standards version 3.8.4. 

 -- Monty Taylor <mordred@inaugust.com>  Sat, 06 Feb 2010 08:23:07 -0800

libmemcached (0.37-1) unstable; urgency=low

  * Removed memcached from Recommends (Closes: #552053)
  * New upstream version. (Closes: #555543)
  * Updated debian/copyright to include the various licenses of things.

 -- Monty Taylor <mordred@inaugust.com>  Wed, 13 Jan 2010 02:55:22 -0800

libmemcached (0.34-1) unstable; urgency=low

  * New upstream version.
  * Added the license for libmemcached/hsieh_hash.c to debian/copyright. 
  * Changed tool renaming to memc prefix. 
  * Re-enabled make test as memcached 1.4.1 is in the repo now. 
  * Removed chrpath now that upstream tarballs are built with modern automake. 
  * Added versioned debhelper depend to enable use of override rules. 

 -- Monty Taylor <mordred@inaugust.com>  Tue, 13 Oct 2009 12:12:17 -0700

libmemcached (0.33-1) unstable; urgency=low

  * Fixed get-orig-source rules line.
  * Rearranged control file just a little bit. 
  * Removed dpatch requirement and patches from source.
  * Standards Version 3.8.3 (no changes needed).
  * New upstream version. 
  * Library sover changed from 2 to 3.

 -- Monty Taylor <mordred@inaugust.com>  Sun, 04 Oct 2009 11:01:49 -0700

libmemcached (0.31-1) unstable; urgency=low

  * New upstream release.
  * Added dpkg-gensymbols support.
  * Prevent debuild from overriding libmemcached CFLAGS.
  * Fixed whatis entries on manpages.
  * Standards Version 3.8.2 (no changes needed).

 -- Monty Taylor <mordred@inaugust.com>  Thu, 16 Jul 2009 15:29:18 -0700

libmemcached (0.30-2) unstable; urgency=low

  * Renamed memdump to memdump.libmemcached (Closes: #532246)
  * Fixed -dev depends: misspelling of word "Depends".

 -- Monty Taylor <mordred@inaugust.com>  Tue, 16 Jun 2009 04:47:02 -0700

libmemcached (0.30-1) unstable; urgency=low

  * Fixed homepage field.
  * Changed section of -tools to match override file.
  * Fixed -dev depends: added depend on the lib itself.
  * New upstream release.

 -- Monty Taylor <mordred@inaugust.com>  Sun, 31 May 2009 22:54:15 -0700

libmemcached (0.29-1) unstable; urgency=low

  * New upstream version.
  * Added -dbg package. (Closes: #529285)
  * Added libmemcachedutil packages. 

 -- Monty Taylor <mordred@inaugust.com>  Tue, 19 May 2009 01:09:28 -0700

libmemcached (0.28-1) unstable; urgency=low

  * Initial release (Closes: #468258)  

 -- Monty Taylor <mordred@inaugust.com>  Mon, 11 May 2009 16:39:21 -0700
